shishi_kdcreq_till(3)

NAME
shishi_kdcreq_till - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_till(Shishi * handle, Shishi_asn1 kdcreq, char ** till, size_t * tilllen);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to get endtime from.

char ** till
    pointer to newly allocated null terminated string containing "till" field with generalized time. May be passed as NULL to only populate tilllen.

size_t * tilllen
    pointer to length of till for output, excluding the terminating null. Set to NULL, only till is populated.

DESCRIPTION
Get "till" field, i.e., "endtime", in KDC-REQ as a null-terminated string. The string is typically 15 characters long and is allocated by this function. It is the responsibility of the caller to deallocate it. Note that the output length tilllen does not include the terminating zero.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.